// pages/record/record.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo: {},
    canIUse: wx.canIUse('button.open-type.getUserInfo'),
    userName: '老门框内部操作',
    userNo: '000001', //员工编号
    showIndex: 1,
    data: [{
      time: '2020年02月25日',
      no: 'H000001',
      txt: '80抵100元券'
    }, {
      time: '2020年02月25日',
      no: 'H000001',
      txt: '80抵100元券'
    }, {
      time: '2020年02月25日',
      no: 'H000001',
      txt: '80抵100元券'
    }, {
      time: '2020年02月25日',
      no: 'H000001',
      txt: '80抵100元券'
    }, {
      time: '2020年02月25日',
      no: 'H000001',
      txt: '80抵100元券'
    }, {
      time: '2020年02月25日',
      no: 'H000001',
      txt: '80抵100元券'
    }, {
      time: '2020年02月25日',
      no: 'H000001',
      txt: '80抵100元券'
    }, {
      time: '2020年02月25日',
      no: 'H000001',
      txt: '80抵100元券'
    }, {
      time: '2020年02月25日',
      no: 'H000001',
      txt: '80抵100元券'
    }, {
      time: '2020年02月25日',
      no: 'H000001',
      txt: '80抵100元券'
    }, {
      time: '2020年02月25日',
      no: 'H000001',
      txt: '80抵100元券'
    }, {
      time: '2020年02月25日',
      no: 'H000001',
      txt: '80抵100元券'
    }, {
      time: '2020年02月25日',
      no: 'H000001',
      txt: '80抵100元券'
    }],
  },
  panel: function(e) {
    if (e.currentTarget.dataset.index != this.data.showIndex) {
      this.setData({
        showIndex: e.currentTarget.dataset.index
      })
    } else {
      this.setData({
        showIndex: 0
      })
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    if (app.globalData.userInfo) {
      this.setData({
        userInfo: app.globalData.userInfo,
        hasUserInfo: true
      })
    } else if (this.data.canIUse) {
      // 由于 getUserInfo 是网络请求，可能会在 Page.onLoad 之后才返回
      // 所以此处加入 callback 以防止这种情况
      app.userInfoReadyCallback = res => {
        this.setData({
          userInfo: res.userInfo,
          hasUserInfo: true
        })
      }
    } else {
      // 在没有 open-type=getUserInfo 版本的兼容处理
      wx.getUserInfo({
        success: res => {
          app.globalData.userInfo = res.userInfo
          this.setData({
            userInfo: res.userInfo,
            hasUserInfo: true
          })
        }
      })
    }
    console.log(app.globalData.userInfo)
  },
  /**
   * 获取头像昵称
   */
  getUserInfo: function (e) {
    app.globalData.userInfo = e.detail.userInfo
    this.setData({
      userInfo: e.detail.userInfo,
      hasUserInfo: true
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})